complexType "ExposureReport"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 14 elements
Defined: | globally in fpml-reporting-5-5.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId?, sequenceNumber??)?, onBehalfOf[0..4]?, asOfDate?, asOfTime?, dataSetName?, reportContents?, quotationCharacteristics?, exposure*, party*, account*
</...>

Content Model Elements (14):

  account, asOfDate (in exposureReport), asOfTime (in exposureReport), correlationId, dataSetName (in exposureReport), exposure (in exposureReport), header (defined in NotificationMessage complexType), | onBehalfOf (defined in OnBehalfOf.model group), parentCorrelationId, party (defined in PartiesAndAccounts.model group), quotationCharacteristics (in exposureReport), reportContents (in exposureReport), sequenceNumber (defined in Sequence.model group), validation

All Direct / Indirect Based Elements (1):

  exposureReport

Known Usage Locations

- As direct type of elements (1):
  exposureReport

Annotation
A type defining the content model for a message allowing a firm to send a report listing aggregate exposure to a variety of counterparty and market risk categories. Exposures will be reported from the perspective of the "on-behalf-of" party.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) NotificationMessage (extension) ExposureReport

XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="ExposureReport"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/> <xsd:element minOccurs="0" name="asOfTime" type="xsd:time"/> <xsd:element minOccurs="0" name="dataSetName" type="xsd:normalizedString"/> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/> <xsd:element minOccurs="0" name="quotationCharacteristics" type="QuotationCharacteristics"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="exposure" type="ReportedExposure"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/14)
asOfDate

  Type: | IdentifiedDate, simple content

  The date for which this report was created.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/>

asOfTime

  Type: | xsd:time, predefined, simple content

  The time within the as-of date for which this report was created (i.e., the cut-off time of the report).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="asOfTime" type="xsd:time"/>

dataSetName

  Type: | xsd:normalizedString, predefined, simple content

  The name of the data set (portfolio, product type, etc.) that this request corresponds to. Describes the desired report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dataSetName" type="xsd:normalizedString"/>

exposure

  Type: | ReportedExposure, complex content

  A specific exposure record (which may include more details in the form of sub-records.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="exposure" type="ReportedExposure"/>

quotationCharacteristics

  Type: | QuotationCharacteristics, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="quotationCharacteristics" type="QuotationCharacteristics"/>

reportContents

  Type: | ReportContents, complex content

  The specific characteristics included in the report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.